package com.ruoyi.supplier.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 评价对象 t_canteen_rating
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public class TCanteenRating extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long rateId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 菜单id */
    @Excel(name = "菜单id")
    private Long menuId;

    /** 评分 */
    @Excel(name = "评分")
    private String score;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String comment;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评价时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rateTime;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 状态 0 ：正常 ；2：删除 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setRateId(Long rateId) 
    {
        this.rateId = rateId;
    }

    public Long getRateId() 
    {
        return rateId;
    }

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    public void setMenuId(Long menuId) 
    {
        this.menuId = menuId;
    }

    public Long getMenuId() 
    {
        return menuId;
    }

    public void setScore(String score) 
    {
        this.score = score;
    }

    public String getScore() 
    {
        return score;
    }

    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }

    public void setRateTime(Date rateTime) 
    {
        this.rateTime = rateTime;
    }

    public Date getRateTime() 
    {
        return rateTime;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    public void setCreaterCode(Long createrCode) 
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode() 
    {
        return createrCode;
    }

    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() 
    {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rateId", getRateId())
            .append("orderId", getOrderId())
            .append("menuId", getMenuId())
            .append("score", getScore())
            .append("comment", getComment())
            .append("rateTime", getRateTime())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
